
Redmine - Defect #5378

Modified column in Issues view does not obey date format set in Administration > Settings > Display

2010-04-23 18:51 - mathew murphy

Status: Closed Start date: 2010-04-23

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Fixed Affected version: 0.9.3

Description

In Administration > Settings > Display I have date format set to 23 Apr 2010, and time format set to "Based on user's language".

However, when I go to a project and select the Issues tab, the Modified column shows (e.g.) 04/19/2010 04:35 pm

Related issues:

Has duplicate Redmine - Defect #7639: Some date fields do not have requested ... Closed 2011-02-17

History

#1 - 2010-04-23 18:53 - mathew murphy

Update: If I mandate a time format rather than allowing that to be chosen based on the user's language, then the date format is reflected in the view.

So the bug appears to be that a system-wide date format is only used when the time format is specified system-wide as well.

#2 - 2010-04-30 12:08 - Alain Alain091

- File i18n.zip added

As I'm volunteer to contribute to Redmine project and I begin with corrections on UI bugs.

Find attached a patch to correct this bug

#3 - 2010-04-30 12:25 - Alain Alain091

- Status changed from New to Resolved

My patch resolve the bug

#4 - 2010-04-30 14:33 - Felix Schäfer

- File i18n.patch added

- Status changed from Resolved to New

Hello Alain,

I seem to remember that this was somewhat intended behavior, I can't fathom why though, so don't take my word for it.

Regarding patch submissions: please post the plain patch file so that we can read it online, posting it zipped only induces an extra step (have to

download-unzip-open to view it as opposed to viewing it online here in redmine). Lastly, the resolved status is for when the patch is applied to trunk,

closed for when the patch is in stable.

Thanks for patch (haven't reviewed it though).

#5 - 2010-04-30 21:45 - Alain Alain091

that was my first patch and the situation will improve for the next one

#6 - 2010-12-11 10:56 - Ebrahim Mohammadi

- File always-obey-date-format.diff added

- Assignee set to Eric Davis

This bug hit me, and I fixed it with the attached patch. The patch is against svn trunk r4485. It makes Redmine follow user-selected date format, even

if time format is not set in settings.

Eric Davis, may you assign this issue to someone appropriate to revise and merge one of the patches please? (I assigned it to you to prevent issue
https://www.redmine.org/projects/redmine/repository/svn/revisions/4485


from being forgotten.)

#7 - 2010-12-11 11:10 - Ebrahim Mohammadi

- File always-obey-date-format.diff added

Previous patch had indentation issues. It is fixed in this new patch.

#8 - 2011-04-04 16:12 - Ebrahim Mohammadi

- Assignee changed from Eric Davis to Jean-Philippe Lang

I think this is fixed in r4894. May you verify?

#7639 seems like a duplicate of this issue.

#9 - 2011-11-13 00:25 - Mischa The Evil

- Status changed from New to Closed

- Resolution set to Fixed

r4894 fixed it indeed. It was included in Redmine 1.2.0 for #7639.

Files

i18n.zip 515 Bytes 2010-04-30 Alain Alain091

i18n.patch 1.11 KB 2010-04-30 Felix Schäfer

always-obey-date-format.diff 1008 Bytes 2010-12-11 Ebrahim Mohammadi

always-obey-date-format.diff 1012 Bytes 2010-12-11 Ebrahim Mohammadi
